Bug 198269 - CVE-2006-3404 gimp xcf buffer overflow
CVE-2006-3404 gimp xcf buffer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gimp (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
David Lawrence
source=debian,reported=20060706,publi...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-10 15:17 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0598
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-18 08:29:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
XCF file by the original upstream reporter that should exhibit the problem (1.62 KB, image/x-xcf)
2006-07-14 05:51 EDT, Nils Philippsen
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 346742 None None None Never

  None (edit)
Description Josh Bressers 2006-07-10 15:17:49 EDT
gimp xcf buffer overflow

Henning Makholm discovered a buffer overflow bug in gimp's XCF loader.
It is possible to overflow a static buffer with arbitrary data, which
could likely result in arbitrary code execution.

The upstream bug contains the patch:
http://bugzilla.gnome.org/show_bug.cgi?id=346742


This issue also affects RHEL3
This issue also affects RHEL2.1
Comment 1 Josh Bressers 2006-07-10 15:20:48 EDT
I'm not sure if this issue affects RHEL2.1 or not.  I can't find the source in
question, but I'm also not terribly familiar with the source of the XCF format.
Comment 2 Nils Philippsen 2006-07-12 08:51:14 EDT
gimp-1.2.x (what is in RHEL2.1 and RHEL3) doesn't seem to store or load vector
information in XCF files. I've contacted Henning Makholm (who provided the patch
upstream) about a testcase file.
Comment 3 Nils Philippsen 2006-07-12 08:52:09 EDT
gimp-1.2.x (what is in RHEL2.1 and RHEL3) doesn't seem to store or load vector
information in XCF files, so shouldn't be vulnerable. I've contacted Henning
Makholm (who provided the patch upstream) about a testcase file.
Comment 4 Nils Philippsen 2006-07-12 11:16:48 EDT
I've built gimp-2.0.5-6 for RHEL4 which includes the fix mentioned above.
Comment 9 Red Hat Bugzilla 2006-07-18 08:29:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0598.html

Note You need to log in before you can comment on or make changes to this bug.